Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Class EZGraphCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.analysis.EZGraphCImpl

public class EZGraphCImpl
extends PhaseCImpl
implements SwarmObjectC, SwarmObjectS, GUICompositeC, GUICompositeS, EZGraphS, EZGraphC

A class for easily create graphs.. This class allows the user to easily create graphs of various quantities in the model s/he is investigating. The user first creates the EZGraph, and then creates "Sequences"; (lines) which will appear in the graph. The sequences are generated based on data provided by a single object or a collection of target objects, in reponse to a specified selector. One of the features of the EZGraph is that it will automatically generate average, total, min, max and count sequences without the user having to mess with Averagers amd other low-level classes.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`EZGraphCImpl()`
`EZGraphCImpl(EZGraph nextPhase)`

Methods implemented by this class for interface swarm.analysis.EZGraphC
`create$setFileName, create$setFileOutput, create$setHDF5Container$setPrefix, create$setTitle$setAxisLabelsX$Y$setWindowGeometryRecordName, create$setTitle$setAxisLabelsX$Y$setWindowGeometryRecordName$setSaveSizeFlag, setAxisLabelsX$Y, setColors$count, setFileName, setFileOutput, setGraphics, setHDF5Container, setTitle`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods implemented by this class for interface swarm.simtoolsgui.CompositeWindowGeometryRecordNameC
`setWindowGeometryRecordNameForComponent$widget`

Methods implemented by this class for interface swarm.simtoolsgui.WindowGeometryRecordNameC
`setSaveSizeFlag, setWindowGeometryRecordName`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EZGraphCImpl

    public EZGraphCImpl(EZGraph nextPhase)

### EZGraphCImpl

    public EZGraphCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD